program henon1
      real :: x0,x1,a,b
      intrinsic :: sqrt
      a=-0.2; b=0.3 !パラメタ
      open(9,file="kidou_henonx_koteiten1.data")
      open(10,file="kidou_henonx_koteiten2.data")
    do while(a <= 1.6)
      x0=(b-1+sqrt((1-b)**2+4*a))/(2*a)
      x1=(b-1-sqrt((1-b)**2+4*a))/(2*a)
        write(9,*)a,x0
        write(10,*)a,x1
      a=a+0.01
    end do
      endfile(9)
      endfile(10)
end program henon1
